GWT 2.7.0

## com.google.web.bindery.requestfactory.vm
Class RequestFactorySource

    java.lang.Object
      com.google.web.bindery.requestfactory.vm.RequestFactorySource

    public class RequestFactorySource

extends java.lang.Object

Create JRE-compatible instances of a RequestFactory interface. This is experimental, unsupported code.

Method Summary

`static

`<T extends RequestFactory> T`

`

`create(java.lang.Class<T> requestFactory)`
Create an instance of a RequestFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static <T extends RequestFactory> T create(java.lang.Class<T> requestFactory)

  Create an instance of a RequestFactory. The returned RequestFactory must be initialized with an explicit `RequestTransport` via the `initialize(EventBus, RequestTransport` method.

  Type Parameters:
    `T` - the RequestFactory type
  Parameters:
    `requestFactory` - the RequestFactory type
  Returns:
    an instance of the RequestFactory type
  See Also:
    `InProcessRequestTransport`

GWT 2.7.0